Full documentation for SonarQube has moved to a new location: http://docs.sonarqube.org/display/SONAR

Versions Compared

Key

  • This line was added.
  • This line was removed.
  • Formatting was changed.
Comment: Compatibility matrix

...

Plugin

1.0.0

2.0.0

2.1.0

2.2.0+

2.4.0

Sonar

2.0.1+

2.4+

2.4+

2.4+

3.0+

Eclipse

3.5.x, 3.6.x

3.5.x, 3.6.x

3.5.x, 3.6.x

3.5.x, 3.6.x, 3.7.x

3.6.x, 3.7.x, 4.1.x

Mylyn (optional)

3.2.0+ and requires Sonar 2.8+

3.2.0+ and requires Sonar 2.9+

3.6.0+

Installation

To install this plugin in the Eclipse IDE:

...